Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(23)

Issue 197313007: Add Easy Unlock options to chrome://settings behind a flag. (Closed)

Created:
5 years, 8 months ago by Tim Song
Modified:
5 years, 8 months ago
CC:
chromium-reviews, dbeam+watch-options_chromium.org, arv+watch_chromium.org
Visibility:
Public.

Description

Add Easy Unlock options to chrome://settings behind a flag. The URLs for this setting will need to be updated when they are finalized. BUG=346048 TEST=manual Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=258203

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 9

Patch Set 4 : #

Patch Set 5 : update URL #

Total comments: 14

Patch Set 6 : fixes #

Patch Set 7 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+250 lines, -0 lines) Patch
M chrome/app/chromeos_strings.grdp View 1 2 3 4 5 6 2 chunks +9 lines, -0 lines 0 comments Download
M chrome/app/generated_resources.grd View 1 chunk +12 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/chromeos_utils.h View 1 2 3 1 chunk +17 lines, -0 lines 0 comments Download
A chrome/browser/chromeos/chromeos_utils.cc View 1 2 3 4 5 1 chunk +27 lines, -0 lines 0 comments Download
M chrome/browser/prefs/browser_prefs.cc View 2 chunks +2 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/browser_options.html View 1 2 3 1 chunk +36 lines, -0 lines 0 comments Download
M chrome/browser/resources/options/browser_options.js View 1 2 3 4 5 6 3 chunks +19 lines, -0 lines 0 comments Download
A chrome/browser/signin/easy_unlock_controller.h View 1 chunk +18 lines, -0 lines 0 comments Download
A chrome/browser/signin/easy_unlock_controller.cc View 1 2 3 1 chunk +26 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/browser_options_handler.h View 1 2 3 2 chunks +6 lines, -0 lines 0 comments Download
M chrome/browser/ui/webui/options/browser_options_handler.cc View 1 2 3 8 chunks +44 lines, -0 lines 0 comments Download
M chrome/chrome_browser.gypi View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/chrome_browser_chromeos.gypi View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/chrome_switches.h View 1 2 3 4 5 6 1 chunk +2 lines, -0 lines 0 comments Download
M chrome/common/chrome_switches.cc View 1 2 3 4 5 6 1 chunk +3 lines, -0 lines 0 comments Download
M chrome/common/pref_names.h View 1 2 3 4 5 1 chunk +4 lines, -0 lines 0 comments Download
M chrome/common/pref_names.cc View 1 2 3 4 5 2 chunks +10 lines, -0 lines 0 comments Download
M chrome/common/url_constants.h View 1 2 3 4 5 6 1 chunk +6 lines, -0 lines 0 comments Download
M chrome/common/url_constants.cc View 1 2 3 4 5 6 1 chunk +5 lines, -0 lines 0 comments Download

Messages

Total messages: 15 (0 generated)
Tim Song
+xiyuan for chrome/browser/ui/webui/* +rogerta for chrome/browser/signin Please let me know if chrome/browser/signin is a good ...
5 years, 8 months ago (2014-03-14 22:16:38 UTC) #1
xiyuan
https://codereview.chromium.org/197313007/diff/40001/chrome/browser/ui/webui/options/browser_options_handler.cc File chrome/browser/ui/webui/options/browser_options_handler.cc (right): https://codereview.chromium.org/197313007/diff/40001/chrome/browser/ui/webui/options/browser_options_handler.cc#newcode583 chrome/browser/ui/webui/options/browser_options_handler.cc:583: values->SetString("easyUnlockCheckboxLabel", nit: wrong indent https://codereview.chromium.org/197313007/diff/40001/chrome/common/url_constants.cc File chrome/common/url_constants.cc (right): https://codereview.chromium.org/197313007/diff/40001/chrome/common/url_constants.cc#newcode707 ...
5 years, 8 months ago (2014-03-15 00:54:55 UTC) #2
Roger Tawa OOO till Jul 10th
Tim: when I click on the mocks link in the crbug description, I get an ...
5 years, 8 months ago (2014-03-17 17:15:00 UTC) #3
Roger Tawa OOO till Jul 10th
The code in the files under chrome/browser/signin looks fine, but I'm not sure this is ...
5 years, 8 months ago (2014-03-17 17:23:10 UTC) #4
xiyuan
On 2014/03/17 17:23:10, Roger Tawa wrote: > The code in the files under chrome/browser/signin looks ...
5 years, 8 months ago (2014-03-17 17:28:37 UTC) #5
Tim Song
https://codereview.chromium.org/197313007/diff/40001/chrome/browser/signin/easy_unlock_controller.cc File chrome/browser/signin/easy_unlock_controller.cc (right): https://codereview.chromium.org/197313007/diff/40001/chrome/browser/signin/easy_unlock_controller.cc#newcode23 chrome/browser/signin/easy_unlock_controller.cc:23: ::prefs::kEasyUnlockPairing, On 2014/03/17 17:23:10, Roger Tawa wrote: > No ...
5 years, 8 months ago (2014-03-17 19:12:07 UTC) #6
xiyuan
lgtm https://codereview.chromium.org/197313007/diff/40001/chromeos/chromeos_utils.cc File chromeos/chromeos_utils.cc (right): https://codereview.chromium.org/197313007/diff/40001/chromeos/chromeos_utils.cc#newcode22 chromeos/chromeos_utils.cc:22: return "Chromebook"; On 2014/03/17 19:12:07, Tim Song wrote: ...
5 years, 8 months ago (2014-03-17 20:04:50 UTC) #7
Roger Tawa OOO till Jul 10th
lgtm c/b/s
5 years, 8 months ago (2014-03-18 12:40:06 UTC) #8
Tim Song
+battre@ for chrome/browser/prefs/
5 years, 8 months ago (2014-03-18 20:24:17 UTC) #9
Tim Song
-battre@ +mnissler@
5 years, 8 months ago (2014-03-19 17:19:23 UTC) #10
Mattias Nissler (ping if slow)
prefs LGTM once you address my comments. If you make substantial changes, please have someone ...
5 years, 8 months ago (2014-03-19 18:15:19 UTC) #11
Tim Song
https://codereview.chromium.org/197313007/diff/80001/chrome/app/chromeos_strings.grdp File chrome/app/chromeos_strings.grdp (right): https://codereview.chromium.org/197313007/diff/80001/chrome/app/chromeos_strings.grdp#newcode7 chrome/app/chromeos_strings.grdp:7: <message name="IDS_CHROMEBOOK" desc="The localized name for Chromebook."> On 2014/03/19 ...
5 years, 8 months ago (2014-03-19 23:41:36 UTC) #12
Tim Song
The CQ bit was checked by tengs@chromium.org
5 years, 8 months ago (2014-03-20 02:23:19 UTC) #13
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/tengs@chromium.org/197313007/120001
5 years, 8 months ago (2014-03-20 02:23:36 UTC) #14
commit-bot: I haz the power
5 years, 8 months ago (2014-03-20 05:47:33 UTC) #15
Message was sent while issue was closed.
Change committed as 258203

Powered by Google App Engine
This is Rietveld 408576698